org.wso2.extension.siddhi.execution.streamingml.bayesian.util

## Enum BayesianModel.OptimizerType

- java.lang.Object
- - java.lang.Enum<BayesianModel.OptimizerType>
  - - org.wso2.extension.siddhi.execution.streamingml.bayesian.util.BayesianModel.OptimizerType

- All Implemented Interfaces:
    Serializable, Comparable<BayesianModel.OptimizerType>
  Enclosing class:
    BayesianModel

      public static enum BayesianModel.OptimizerType
      extends Enum<BayesianModel.OptimizerType>

  optimizer types that can be used with the bayesian models.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADAGRAD`
    `ADAM`
    `NADAM`
    `SGD`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BayesianModel.OptimizerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BayesianModel.OptimizerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADAM

          public static final BayesianModel.OptimizerType ADAM

    - #### ADAGRAD

          public static final BayesianModel.OptimizerType ADAGRAD

    - #### SGD

          public static final BayesianModel.OptimizerType SGD

    - #### NADAM

          public static final BayesianModel.OptimizerType NADAM

  - ### Method Detail

    - #### values

          public static BayesianModel.OptimizerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BayesianModel.OptimizerType c : BayesianModel.OptimizerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BayesianModel.OptimizerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 WSO2. All rights reserved.